<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:id="@+id/login_basic_screen"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <TextView
        android:textSize="20dp"
        android:textStyle="bold"
        android:textColor="@color/text_color"
        android:layout_gravity="left|center_vertical|center_horizontal|center"
        android:id="@+id/login_username_label"
        android:paddingLeft="15dp"
        android:paddingRight="15dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:text="@string/username_label" />

    <FrameLayout
        android:layout_gravity="right|center_vertical|center_horizontal|center"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="5dp">

        <EditText
            android:textColor="@color/text_color"
            android:id="@+id/login_username_content"
            android:background="@drawable/listitem_bg"
            android:paddingRight="35dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:singleLine="true" />

        <Button
            android:textColor="@color/black"
            android:gravity="right|center_vertical|center_horizontal|center"
            android:layout_gravity="right|center_vertical|center_horizontal|center"
            android:id="@+id/clear_id_btn"
            android:background="@drawable/clear_text"
            android:visibility="gone"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginRight="5dp" />
    </FrameLayout>

    <TextView
        android:textSize="20dp"
        android:textStyle="bold"
        android:textColor="@color/text_color"
        android:layout_gravity="left|center_vertical|center_horizontal|center"
        android:id="@+id/login_password_label"
        android:paddingLeft="15dp"
        android:paddingRight="15dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/password_label" />

    <FrameLayout
        android:layout_gravity="right|center_vertical|center_horizontal|center"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="5dp">

        <EditText
            android:textColor="@color/text_color"
            android:id="@+id/login_password_content"
            android:background="@drawable/listitem_bg"
            android:paddingRight="35dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:password="true"
            android:singleLine="true" />

        <Button
            android:textColor="@color/black"
            android:gravity="right|center_vertical|center_horizontal|center"
            android:layout_gravity="right|center_vertical|center_horizontal|center"
            android:id="@+id/clear_password_btn"
            android:background="@drawable/clear_text"
            android:visibility="gone"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginRight="5dp" />
    </FrameLayout>

    <TextView
        android:textSize="20dp"
        android:textColor="#ff0000"
        android:gravity="center"
        android:layout_gravity="center"
        android:id="@+id/log_in_fail_notification"
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="@string/str_log_in_failed" />
</LinearLayout>
